#define scmrev 0
%define rel 1

Name: lxqt-common
Version: 0.11.0
%if 0%{?scmrev:1}
# rm -rf lxqt-common && git clone git://git.lxde.org/git/lxde/lxqt-common && cd lxqt-common/ 
# git archive --prefix=lxqt-common-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../lxqt-common-$(date +%Y%m%d).tar.xz
Release: %mkrel -c %{scmrev} %rel
Source0: %{name}-%{scmrev}.tar.xz
%else
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
%endif
# (doktor5000) if the locations of our default configuration files changes, following patch needs to be adapted
# see upstream bugs https://github.com/lxde/lxde-qt/issues/250
# and https://github.com/lxde/lxqt/issues/349 / https://github.com/lxde/lxqt/issues/385
# ensure existence of default config files, copy to XDG_CONFIG_HOME on startlxqt run
Patch0: lxqt-common-0.10.0-mga-add-pcmanfm-lxqt-config-files.patch
Summary: Common files for the LXQt desktop
URL: http://lxqt.org/
License: GPL
Group: Graphical desktop/KDE
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: desktop-common-data
BuildArch: noarch
# for the mageia wallpaper
Requires: mageia-theme
Obsoletes: razorqt-data < 0.5.3-1
Obsoletes: razorqt-desktop < 0.5.3-1
Conflicts: desktop-common-data < 1:3.10-2

%description
Common files for the LXQt desktop including configuration.

%prep
%if 0%{?scmrev:1}
%setup -q -n %{name}-%{scmrev}
%else
%setup -q
%endif

%autopatch -p1

%build
%cmake_qt5
%make

%install
%make_install -C build

# remove useless empty file to make rpmlint happy
rm -f %{buildroot}%{_datadir}/lxqt/themes/flat/lxqt-power/.directory 

# FIXME: try to use Mageia wallpaper as default pcmanfm wallpaper when no theme is used
# sed -i 's|^Wallpaper=.*|Wallpaper=%{_datadir}/mga/backgrounds/default.jpg|' %{buildroot}%{_sysconfdir}/pcmanfm-qt/lxqt/settings.conf

# FIXME: undefine default pcmanfm wallpaper to use wallpaper from theme
#sed -i 's|^Wallpaper=.*$|Wallpaper=|' %{buildroot}%{_sysconfdir}/pcmanfm-qt/lxqt/settings.conf
# FIXME: set wallpaper to fill entire screen
#sed -i 's|^WallpaperMode=.*$|WallpaperMode=stretch|' %{buildroot}%{_sysconfdir}/pcmanfm-qt/lxqt/settings.conf


# create our own theme
%define sourcetheme kde-plasma
%define themename Mga-plasma

cp -a %{buildroot}%{_datadir}/lxqt/themes/%{sourcetheme} %{buildroot}%{_datadir}/lxqt/themes/%{themename}

# filter out unwanted stuff
grep -v -E 'margin: 1px 2px 1px 2px;|border: 1px solid #004e6c;|border-radius: 3px;|background: qlineargradient\(x1:1' %{buildroot}%{_datadir}/lxqt/themes/%{sourcetheme}/lxqt-panel.qss > %{buildroot}%{_datadir}/lxqt/themes/%{themename}/lxqt-panel.qss

# use Mageia cauldron icon for main menu
cp %{_datadir}/icons/large/mageia.png %{buildroot}%{_datadir}/lxqt/themes/%{themename}/
sed -i 's/qproperty-icon: url(mainmenu.svg);/qproperty-icon: url(mageia.png);/' %{buildroot}%{_datadir}/lxqt/themes/%{themename}/lxqt-panel.qss

# use our custom theme as default
sed -i 's/^theme=.*$/theme=%{themename}/' %{buildroot}%{_sysconfdir}/xdg/lxqt/lxqt.conf

# use Mageia wallpaper as default theme background - has to be located within theme directory
sed -i 's|file=.*$|file=default.png|' %{buildroot}%{_datadir}/lxqt/themes/%{themename}/wallpaper.cfg

# symlink default Mageia wallpaper into theme directory
ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}%{_datadir}/lxqt/themes/%{themename}/default.png

%posttrans
if [ "$1" -eq 1 ]; then
	if [ -e %{_datadir}/xsessions/13LXQT.desktop ]; then
		rm -rf %{_datadir}/xsessions/13LXQT.desktop
	fi
fi

%files
%{_datadir}/lxqt/themes
%{_sysconfdir}/xdg/lxqt
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_sysconfdir}/xdg/pcmanfm-qt
%{_sysconfdir}/xdg/openbox/lxqt-rc.xml
%{_bindir}/startlxqt
%{_datadir}/desktop-directories/lxqt-leave.directory
%{_datadir}/desktop-directories/lxqt-settings.directory
%{_datadir}/lxqt/graphics
%{_iconsdir}/hicolor/scalable/places/start-here-lxqt.svg
%{_iconsdir}/hicolor/scalable/apps/lxqt.svg
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/kdm/sessions/lxqt.desktop
%{_datadir}/xsessions/lxqt.desktop
%{_mandir}/man1/startlxqt.1.*



%changelog
* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1066000
- New version 0.11.0

* Sun Sep 18 2016 akien <akien> 0.10.0-4.mga6
+ Revision: 1053687
- s/mageia-theme-Default/mageia-theme/

* Sun Jan 10 2016 doktor5000 <doktor5000> 0.10.0-3.mga6
+ Revision: 921131
- rediffed patch so our default configuration files are applied (mga#17294)
  o default configuration files moved from /etc/lxqt to /etc/xdg/lxqt
- added links to upstream bugreports and that this patch needs to be updated

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-2.mga6
+ Revision: 900887
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900069
- New version 0.10.0

* Sat Sep 26 2015 wally <wally> 0.9.1-4.mga6
+ Revision: 884004
- use upstream xsession .desktop file

* Sun Mar 08 2015 doktor5000 <doktor5000> 0.9.1-3.mga5
+ Revision: 818127
- fix display of dedicated "Leave" submenu
  o moved lxqt-applications.menu to %%{_sysconfdir}/xdg/menus
- re-add custom Mageia theme, based on Kde-plasma theme
  o fix creation of custom Mageia theme, broken due to capitalisation
- ensure existence of default pcmanfm-qt and lxqt config files on startlxqt run
- commented out some customizations that are not working currently
  o default background when no theme is used, default theme wallpaper

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.1-1.mga5
+ Revision: 816446
- new version 0.9.1
  o new theme added upstream: Frost
  o themes dropped upstream because of low quality: A-Mego, Flat and Green
  o Dark theme was merged with Flat Dark theme upstream
  o reconfiguration is required if one of the old themes was used
- disable or custom theme for now
- removed patch for icon search path, merged upstream
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803677
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793198
+ rebuild (emptylog)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 793045
- add missing BuildRequires on pkgconfig(Qt5Help)
- added Numix themes, Numix-Green and Numix-Frost
- add support for XDG_DATA_DIR usage for icon search
- new version 0.8.0
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-0.20140609.7.mga5
+ Revision: 746389
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-0.20140609.6.mga5
+ Revision: 682087
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.1-0.20140609.5.mga5
+ Revision: 675071
- obsolete razorqt-data and razorqt-desktop

* Wed Jul 30 2014 doktor5000 <doktor5000> 0.7.1-0.20140609.4.mga5
+ Revision: 658365
- fix display of Mageia wallpaper by symlinking it into theme directory
- undefine default pcmanfm wallpaper to use wallpaper from theme
- set wallpaper to fill entire screen

* Wed Jul 30 2014 doktor5000 <doktor5000> 0.7.1-0.20140609.3.mga5
+ Revision: 658332
- change the correct file so our custom Mageia theme is used by default
- change pcmanfm config to display default Mageia wallpaper
  o wallpaper setting from theme seems to be ignored

* Tue Jul 29 2014 doktor5000 <doktor5000> 0.7.1-0.20140609.2.mga5
+ Revision: 658084
- use custom Mageia mga-light theme as default theme
- add default Mageia wallpaper to custom Mageia theme
- add Requires on mageia-theme-Default for wallpaper

* Mon Jun 09 2014 doktor5000 <doktor5000> 0.7.1-0.20140609.1.mga5
+ Revision: 635181
- switch to git snapshot
  o 2 new themes: flat-dark-alpha and plasma-next-alpha
- create custom Mageia theme from light theme (use cauldron icon for main menu)

* Sun Jun 08 2014 doktor5000 <doktor5000> 0.7.0-3.mga5
+ Revision: 634766
- fix empty desktop session

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.7.0-2.mga5
+ Revision: 634403
- remove nonstandard DM session files
- add standard DM session file in %%{_sysconfdir}/X11/wmsession.d/

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626515
- use %%mkrel
- fix BuildRequires
- fix .desktop files, remove Category=LXQt for now
- imported package lxqt-common


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 9dfda7d
- Automatic import for version 0.7.0-1


